Bug 817088 - fakeroot slows down unpacking.
fakeroot slows down unpacking.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fakeroot (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 12:23 EDT by Soeren Grunewald
Modified: 2015-06-29 20:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: fakeroot-1.20.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-26 16:32:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add alternatives for faked and libfakeroot-0.so (5.68 KB, patch)
2013-12-05 12:08 EST, Soeren Grunewald
no flags Details | Diff

  None (edit)
Description Soeren Grunewald 2012-04-27 12:23:01 EDT
Description of problem:
After upgrading my system from fedora 14 to fedora 17 i notice that unpacking files in a fakeroot environment has become extremely slow. So i made a check on may notebook running fedora 16, and i saw the same behavior. Unpacking a file without fakeroot as fast as expected. But as soon as i use fakeroot, i need a lot of patience.


Version-Release number of selected component (if applicable):
  bzip2-1.0.6-4.fc17.x86_64
  bzip2-libs-1.0.6-4.fc17.x86_64
  fakeroot-1.12.4-4.fc17.x86_64
  fakeroot-libs-1.12.4-4.fc17.x86_64
  pbzip2-1.1.1-3.fc17.x86_64
  tar-1.26-5.fc17.x86_64


How reproducible:
always


Steps to Reproduce:
1. unpack a file without fakeroot
2. unpack a file with fakeroot
3.


Actual results:
user@host > time tar -xf packages/linux-3.3.tar.xz 
real	0m11.727s
user	0m8.195s
sys	0m3.928s

user@host > time fakeroot tar -xf packages/linux-3.3.tar.xz 
real	26m59.253s
user	0m21.728s
sys	0m13.121s


Expected results:
 * Both call are executed with same speed


Additional info:
 * In Fedora 14 this issue did not appear.
 * Fedora 16 and 17 have the issue.
 * Disabling selinux did not speedup fakeroot execution.
 * Updating fakeroot to 1.18.3 did _not_ solve the issue.
Comment 1 Soeren Grunewald 2012-04-27 12:32:45 EDT
Ok i figured it out: fakeroot is a symlink to fakeroot-tcp. When i use fakeroot-sysv, the speed is back to normal.

user@host foo> time fakeroot-sysv tar -xf package/linux-3.3.tar.xz 
real	0m12.761s
user	0m11.158s
sys	0m7.696s
Comment 2 Fedora End Of Life 2013-07-03 15:43:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 14:34:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jaap Crezee 2013-11-27 10:13:11 EST
In Fedora release 19 this problem is still present.
Disabling SELinux does not help. Please advise how to proceed.
Comment 5 Jaap Crezee 2013-11-27 10:15:33 EST
> Ok i figured it out: fakeroot is a symlink to fakeroot-tcp. When i use 
> fakeroot-sysv, the speed is back to normal.

This also works here. But why is fakeroot-tcp so slow?
Comment 6 Soeren Grunewald 2013-12-05 12:08:36 EST
Created attachment 833272 [details]
Add alternatives for faked and libfakeroot-0.so

With this we could give the user the chance to decide if tcp or sysv version is used.
Comment 7 Soeren Grunewald 2014-06-03 04:59:58 EDT
Could the patch be applied for the next release?
Comment 8 Fedora Admin XMLRPC Client 2015-02-25 17:48:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Dominik 'Rathann' Mierzejewski 2015-06-17 07:46:01 EDT
I'm looking into this, but I need to figure out how not to get dangling symlinks upon package upgrade (fresh install with the patch applied is of course fine).
Comment 10 Fedora Update System 2015-06-18 04:52:32 EDT
fakeroot-1.20.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fakeroot-1.20.2-1.fc21
Comment 11 Fedora Update System 2015-06-18 04:53:42 EDT
fakeroot-1.20.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fakeroot-1.20.2-1.fc22
Comment 12 Fedora Update System 2015-06-20 20:11:35 EDT
Package fakeroot-1.20.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fakeroot-1.20.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10378/fakeroot-1.20.2-1.fc21
then log in and leave karma (feedback).
Comment 13 Soeren Grunewald 2015-06-24 13:43:54 EDT
Looks good, Thanks Dominik.
Comment 14 Fedora Update System 2015-06-26 16:32:09 EDT
fakeroot-1.20.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-06-29 20:05:09 EDT
fakeroot-1.20.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.